Add K8S deployment above Vagrant
Set deployment manifest files and scripts
for deploy SDC over Kubernetes inside
Vagrant
Preparation for OOM integration
Change-Id: Ia68d0361ed20d7598ce4e447fabfaedf82afcaf4
Issue-ID: SDC-907
Signed-off-by: Areli Fuss <af732p@att.com>
diff --git a/sdc-os-chef/sdc-elasticsearch/startup.sh b/sdc-os-chef/sdc-elasticsearch/startup.sh
index 1871d68..3c2cc4c 100644
--- a/sdc-os-chef/sdc-elasticsearch/startup.sh
+++ b/sdc-os-chef/sdc-elasticsearch/startup.sh
@@ -3,8 +3,9 @@
cd /root/chef-solo/
chef-solo -c solo.rb -E ${ENVNAME}
-chef_status=$?
+rc=$?
+if [[ $rc != 0 ]]; then exit $rc; fi
/docker-entrypoint.sh elasticsearch &
-exec "$@";
\ No newline at end of file
+while true; do sleep 30; done
\ No newline at end of file